//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBHeadTextureButton extends MSBPropertyButton;

var string ViewAppendix;

var string Head, Eyes, Eyebrows, Mask, MouthOpen, MaskMouthOpen;
var MSBSpritePawn sP;

var class<MSBPropertyButton> ButtonClass;
var array<string> Properties;
var array<string> MSBPropertyButton;
var array<MSBPropertyButton> ListButton;

//spawning the MSBPropertyButton for the Material Text
function initPropButton()
{
local int i;

Head=SP.Head.Head;
Eyes=SP.Head.Eyes;
Eyebrows=SP.Head.Eyebrows;
Mask=SP.Head.Mask;
MouthOpen=SP.Head.MouthOpen;
MaskMouthOpen=SP.Head.MaskMouthOpen;
SP.Head.Skins[0]=None;

Properties[0]="Head";
Properties[1]="Eyes";
Properties[2]="Eyebrows";
Properties[3]="Mask";
Properties[4]="MouthOpen";
Properties[5]="MaskMouthOpen";

for (i=0;i<Properties.length;i++)
  {
  MSBPropertyButton[i]="MSBPropertyButtons.MSBPropertyButtonText";
  ButtonClass = class<MSBPropertyButton>(DynamicLoadObject(MSBPropertyButton[i], class'Class'));
  ListButton[i]=Spawn(ButtonClass);
  ListButton[i].Parent=self;
  ListButton[i].SubLevel=SubLevel+1;
  ListButton[i].xPosRel=xposRel+widthRel;        //horizontal alignment
  ListButton[i].yPosRel=yposRel+100*i;        //horizontal alignment
  ListButton[i].BtnName=Properties[i];
  ListButton[i].Property=Properties[i];
  }
MSBPropertyButton[i]="MSBPropertyButtons.MSBPropertyButtonMove";
ButtonClass = class<MSBPropertyButton>(DynamicLoadObject(MSBPropertyButton[i], class'Class'));
ListButton[i]=Spawn(ButtonClass);
ListButton[i].Parent=sP.Head;
ListButton[i].SubLevel=SubLevel+1;
ListButton[i].xPosRel=xposRel+widthRel;        //horizontal alignment
ListButton[i].yPosRel=yposRel+100*i;;        //horizontal alignment
ListButton[i].BtnName="Move";
ListButton[i].Property="relLocation";
}

function Trigger(Actor Other, Pawn EventInstigator)
{
if (Other.IsA('MSBPropertyButton') && SP!=None && sP.Head!=None)
  {
  SP.Head.Head=Head;
  SP.Head.Eyes=Eyes;
  SP.Head.Eyebrows=Eyebrows;
  sp.Head.Mask=Mask;
  SP.Head.MouthOpen=MouthOpen;
  SP.Head.MaskMouthOpen=MaskMouthOpen;
  SP.Head.Skins[0]=None;
  }
}

function initButton(Canvas C)
{
super.InitButton(C);
C.DrawText(BtnName,true);
//draw Portal ontop of Material
C.SetPos(xpos+10,ypos+10);
if (sP!=None && sP.Head!=None && Head!="")
  {
  C.DrawTile(sP.Head.MatHead,96,96,0,0,512,512);
  C.SetPos(xpos+10,ypos+10+100);
  C.DrawTile(sP.Head.MatEyes,96,96,0,0,512,512);
  C.SetPos(xpos+10,ypos+10+200);
  C.DrawTile(sP.Head.MatEyeBrows,96,96,0,0,512,512);
  C.SetPos(xpos+10,ypos+10+300);
  C.DrawTile(sP.Head.MatMaskMouthOpen,96,96,0,0,512,512);
  C.SetPos(xpos+10,ypos+10+400);
  C.DrawTile(sP.Head.MatMouthOpen,96,96,0,0,512,512);
  C.SetPos(xpos+10,ypos+10+500);
  C.DrawTile(sP.Head.MatMask,96,96,0,0,512,512);
  }
C.SetPos(xpos,ypos);
}

function LeftBtn(Canvas C)
{
super.LeftBtn(C);
initPropButton();
LeftBtnFinished(C);
}

defaultproperties
{
ViewAppendix="_A00"
widthRel=128
heightRel=640
xpos=200
ypos=200
BtnName="Front";
}
