//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBBobBlockControl extends MSBExtendedListButton
config(BobControl);

var MSBFullRig Bob;
var MSBLipSyncHead BobControl;

var() config float BlendTime;
var() config int BtnBrowUp;
var() config int BtnBrowDown;

var() config array<int> BtnPose;
var int LastPoseBtn;
var() config array<string> PoseName;

event PostBeginPlay()
{
super.PostBeginPlay();
saveconfig();
}

function Tick(float DeltaTime)
{
local rotator HeadTurn;
local int i;

super.Tick(DeltaTime);
if (BobControl!=None && Bob!=None)
  {
  BobControl.eyeX=-Mouse.joyXaxis/4;
  BobControl.eyeY=-Mouse.joyYaxis/4;

  HeadTurn.Pitch=8192*Mouse.joyUAxis/6;
  HeadTurn.Roll=4096*Mouse.joyVaxis/6;

  if (VSize(vector(HeadTurn))>0)
    Bob.SetBoneRotation('neck',HeadTurn);
  if (LastPoseBtn!=Mouse.PressedKey)
    for (i=0;i<BtnPose.length;i++)
      if (BtnPose[i]==Mouse.pressedKey)
        setBobPose(i);
  }

//  MSBHud(M.myHUD).debugString=Mouse.joyXaxis@Mouse.joyYaxis@Mouse.joyUaxis@Mouse.joyVaxis;
}

function setBobPose(int i)
{
local MSBSetPoseNode spn;

Log("BobControl -> setBobPose function");
if (PoseName[i]!="")
  {
  Log("Tweening to a new Pose!");
  LastPoseBtn=BtnPose[i];
  spn=spawn(class'MSBSetPoseNode',self);
  spn.PoseName=PoseName[i];
  spn.BlendTime=BlendTime;
  spn.PoseActor=Bob;
  spn.execute("");
  spn.Destroy();
  }
}

function Trigger(Actor Other,Pawn EventInstigator)
{
Log(Bob);
}

DefaultProperties
{
ButtonList(0)="MSBPropertyButtons.MSBPropertyButton3D"
Properties(0)="Bob"
ButtonList(1)="MSBPropertyButtons.MSBPropertyButton3D"
Properties(1)="BobControl"
ButtonList(2)="MSBPropertyButtons.MSBPropertyButtonText"
Properties(2)="BlendTime"
//BtnPose(0)=49
//PoseName(0)="TestPose0"
//BtnPose(1)=50
//PoseName(1)="TestPose1"
//BtnPose(2)=51
//PoseName(2)="TestPose2"
//BtnPose(3)=52
//PoseName(3)="TestPose3"
//BtnPose(4)=53
//PoseName(4)="TestPose4"
//BtnPose(5)=54
//PoseName(5)="TestPose5"
//BtnPose(6)=55
//PoseName(6)="TestPose6"
//BtnPose(7)=56
//PoseName(7)="TestPose7"
//BtnPose(8)=57
//PoseName(8)="TestPose8"
//BtnPose(9)=58
//PoseName(9)="TestPose9"

BlendTime=0.2
col=(R=0,G=64,B=200)
width=64

}
