class MSBTwoStepButton extends MSBGuiOverlay;

var bool hasClickedAgain;

var string tooltip1,
           tooltip2;

event PostBeginPlay()
{
super.PostBeginPlay();
tooltip=tooltip1;
}

function Render(Canvas C)
{
super.Render(C);
if (bEnabled)
 {
 if (hasClicked && !bOver && Mouse.btnOne)
    {
    hasClickedAgain=true;
    LeftBtnFinished(C);
    hasClickedAgain=false;
    }
 }
}

function LeftBtn(Canvas C)
{
local int i;

super.LeftBtn(C);

//disable all other buttons until second press
for (i=0;i<M.myHud.Overlays.Length-1;i++)
  if (M.myHud.Overlays[i].IsA('MSBGuiOverlay') && M.myHud.Overlays[i]!=self)
    MSBGuiOverlay(M.myHud.Overlays[i]).bEnabled=false;

tooltip=tooltip2;
}

function LeftBtnFinished(Canvas C)
{
local int i;

hasClicked=false;
tooltip=tooltip1;
for (i=0;i<M.myHud.Overlays.Length-1;i++)
  if (M.myHud.Overlays[i].IsA('MSBGuiOverlay'))
    MSBGuiOverlay(M.myHud.Overlays[i]).bEnabled=true;

Mouse.btnOne=false;
}

defaultproperties
{
tooltip1="StartAction"
tooltip2="clickAnywhereToFinish"
}
