//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBUserHudOverlayButton extends MSBExtendedListButton;

var() MSBUserOverlay UOverlay;
var() string Overlay;
var() Material OverlayMat;
var() int red,green,blue,alpha;

event PostBeginPlay()
{
super.PostBeginPlay();
createUserOverlay();
}

function createUserOverlay()
{
if (UOverlay==None)
  {
  UOverlay=Spawn(class'MSBUserOverlay',self);
  MSBHud(M.myHUD).UserOverlays[MSBHud(M.myHUD).UserOverlays.length]=UOverlay;
  }
}

function Trigger(Actor Other,Pawn EventInstigator)
{
if (Other==ListButton[0])
  {
  OverlayMat=Material(DynamicLoadObject(Overlay,class'Material',true));
  UOverlay.Tex=OverlayMat;
  }
if (Other==ListButton[1])
  {
  UOverlay.alpha=alpha;
  }
}

DefaultProperties
{
ButtonList(0)="MSBPropertyButtons.MSBPropertyButtonText";
Properties(0)="Overlay";
ButtonList(1)="MSBPropertyButtons.MSBPropertyButtonText";
Properties(1)="Alpha";
width=64
height=12
alpha=255
Overlay="Moviesandboxtextures.helperTex.wireframecolor"
OverlayMat=Material'Moviesandboxtextures.helperTex.wireframecolor'
Mat=Material'Node_Icon'
BtnName="UserHudOverlay"
}
