//-----------------------------------------------------------
//a Wrapper Class for Unreal Classes
//-----------------------------------------------------------
class MSBActorWrapper extends MSBActor;

var Actor Child;
var string WrappedActorClassName;

function Tick(float DeltaTime)
{
super.Tick(DeltaTime);
if (Child!=None)
  {
  Child.SetDrawScale3D(drawScale3D);
  Child.SetLocation(Location);
  Child.SetRotation(Rotation);
  }
}

function WrapCollision()
{
SetCollisionSize(Child.CollisionRadius+2,Child.CollisionHeight+2);
}

function Trigger(Actor Other, Pawn EventInstigator)
{
super.Trigger(Other, EventInstigator);
Child.Trigger(Other,EventInstigator);
}

event Destroyed()
{
super.Destroyed();
Child.Destroy();
}

function LoadProp()
{
local class<Actor> ActorClass;
super.LoadProp();

ActorClass = class<Actor>(DynamicLoadObject(WrappedActorClassName, class'Class'));
Child=Spawn(ActorClass, self,,Location,Rotation);
WrapCollision();
}

DefaultProperties
{
ButtonList(5)="MSBPropertyButtons.MSBPropertyButtonAssign"
Properties(5)="Trigger"
ButtonList(6)="None"
Properties(6)="WrappedActorClassName"
bDisplayed=false

}
