class MSBsimpleBlock extends MSBActor;

var vector myLoc;
var MSBMasterBlock M;
var vector iniRelLocation;
var bool bEdit;
var bool bNoRotate;
var MSBVoxelShader shader;

event PostBeginPlay()
{
super.PostBeginPlay();
}

function LoadBlock();

function Tick(float DeltaTime)
{
if (bDisplayed)
  bHidden=M.Owner.bHidden;
else
  bHidden=true;

if (!bEdit)
  {
  if (VSize(iniRelLocation)==0)
    iniRelLocation=relativeLocation;
  SetRelativeLocation(iniRelLocation);
  if (bNoRotate)
    SetRotation(0*Rotation);
  }
else
  {
  if (VSize(iniRelLocation)==0)
    iniRelLocation=relativeLocation;
  SetRelativeLocation(iniRelLocation<<M.rotation);
  if (bNoRotate)
    SetRotation(0*Rotation);
  }
if (shader!=None && shader.parent==self)
  shader.shade(DeltaTime, ColorModifier(Skins[0]).Color);
}

// for FaceQuads,VoxelFaces and Lipsyncing
event mimic (int eyeX,int eyeY, int browX, int browY);
event Talk();

function Reset();

defaultproperties
{
AmbientGlow=0
MaxLights=16
DrawType=DT_StaticMesh
StaticMesh=StaticMesh'MoviesandboxMeshes.helperMeshes.CubeWhite'
Skins(0)=Material'MovieSandboxTextures.green'
drawscale=0.25
bStatic=false
bNoDelete=false
bHidden=false
bUnlit=false
CollisionRadius=8.0
CollisionHeight=8.0

//bUseCylinderCollision=true
//bCollideActors=true
bCollideActors=false
bBlockActors=False
bCollideWorld=False
bProjTarget=False
bNoRotate=false
}
