//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonPoseList extends MSBPropertyButton;

var array<String> ButtonList;
var array<String> Properties;
var array<MSBGuiOverlay> ListButton;

//Buttonlist page system:
var int lastpage,maxButtons,maxListSize,currentpage;

function LeftBtn(Canvas C)
{
local int i;
super.LeftBtn(C);

if ((currentpage+1)*maxListSize<=M.SavePoses.length)
  maxButtons=(currentpage+1)*maxListSize;
else
  maxButtons=M.SavePoses.length;

// revisit button distribution...
for (i=currentpage*maxListSize;i<maxButtons; i++)
  {
    ListButton[i]=Spawn(class'MSBPropertyButtonAssign',self,,M.Location);

    if (ListButton[i].height<60)
      ListButton[i].xPos=xpos+width;
    else
      {
      ListButton[i].xPos=xpos-16 -2*width;
      if (Listbutton[i].xPos<C.ClipX)
        ListButton[i].xPos=xpos+16+2*width;
      }
    if (i>currentpage*maxListSize)
      {                          //horizontal alignment
      ListButton[i].yPos=ListButton[i-1].ypos+ListButton[i-1].height+1;
      if (ListButton[i].yPos+ListButton[i].height>C.ClipY && ListButton[i].height<60)
        {
        ListButton[i].ypos=yPos-(i*ListButton[i].height+height+1);
        }
      }
    else
      ListButton[i].yPos=ypos;
  ListButton[i].SubLevel=SubLevel+1;
  MSBPropertyButton(ListButton[i]).Parent=self;
  MSBPropertyButton(ListButton[i]).BtnName=M.SavePoses[i];
  }

if (Buttonlist.length>maxListSize)
  {
  //create next/prev page buttons
  ListButton[i]=Spawn(class'MSBNextPageButton',self,,M.Location);
  MSBNextPageButton(ListButton[i]).Parent=self;
  ListButton[i].xPos=xpos+width;
  ListButton[i].yPos=ListButton[i-1].ypos+ListButton[i-1].height+1;
  ListButton[i].SubLevel=SubLevel+1;

  ListButton[++i]=Spawn(class'MSBPrevPageButton',self,,M.Location);
  MSBPrevPageButton(ListButton[i]).Parent=self;
  ListButton[i].xPos=xpos+width;
  ListButton[i].yPos=ListButton[i-1].ypos+ListButton[i-1].height+1;
  ListButton[i].SubLevel=SubLevel+1;
  }
LeftBtnFinished(C);
}

event Trigger(Actor Other,Pawn EventInstigator)
{
local int i;

for (i=0;i<ListButton.length;i++)
  if (Other==ListButton[i])
    {
    if (Parent.IsA('MSBPropertyButtonPad'))
      MSBPropertyButtonPad(Parent).AssignPoseToButton(self,i);
    if (Parent.IsA('MSBNodeButton'))
      MSBNodeButton(Parent).Order.SetPropertyText(Property,M.SavePoses[i]);
    }
}

function MouseOver(Canvas C)
{
super.MouseOver(C);
C.SetPos(xpos+width,ypos);
if (Parent.IsA('MSBNodeButton'))
  C.DrawText(MSBNodeButton(Parent).Order.GetPropertyText(Property));
if (Parent.IsA('MSBPropertyButtonPad'))
  C.DrawText(MSBPawn(MSBPropertyButtonPad(Parent).Parent).PoseName[int(BtnName)-1]);

}


DefaultProperties
{
//width=32
Col=(R=128,G=64,B=64)
maxListSize=20
}
