//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonPaintPart extends MSBPropertyButton3D;

var MSBVoxelEdController CC;

function LeftBtn(Canvas C)
{
super.LeftBtn(C);
CC=MSBVoxelEdController(M);
CC.SetLocation(Parent.Location+M.StartLoc*0.5);
LeftBtnFinished(C);
Mouse.xPos+=64;
}

function LeftBtnFinished(Canvas C)
{
local vector gridLoc;

super.LeftBtnFinished(C);
if (Parent.IsA('MSBMasterBlock'))
  {
  Parent.SetDrawScale3D(vect(1,1,1));
  CC.drawBrush.Master=MSBMasterBlock(Parent);
  gridLoc=Parent.Location;
  CC.calculateGrid(gridLoc);
  CC.drawBrush.SetLocation(gridLoc);
  CC.drawBrush.SetRotation(Parent.Rotation);
  }
CC.refreshMasters();
Mouse.deSelectAll();
}

DefaultProperties
{
tooltip1="Set Master Block"
tooltip2="Select Master Block"
BtnName="Draw"
}
