//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonTrace extends MSBPropertyButtonText;

var MSBVoxelEdController CC;

function LeftBtn(Canvas C)
{
super.LeftBtn(C);
CC=MSBVoxelEdController(M);
CC.SetLocation(Parent.Location+M.StartLoc*0.5);
//LeftBtnFinished(C);
}

function LeftBtnFinished(Canvas C)
{
local vector gridLoc,x,y,z,xTD,yTD,zTD;
local int stepsX,stepsY;
local MSBTraceDummy TraceDummy;
local actor hitactor;
local vector normal,TraceEnd,TraceStart,HitLocation;
local Material hitmaterial;

if (Parent.IsA('MSBMasterBlock'))
  {
  Parent.SetDrawScale3D(vect(1,1,1));
  CC.drawBrush.Master=MSBMasterBlock(Parent);
  gridLoc=Parent.Location;
  CC.calculateGrid(gridLoc);
  CC.drawBrush.SetLocation(gridLoc);
  CC.drawBrush.SetRotation(Parent.Rotation);
  }
CC.refreshMasters();
Mouse.deSelectAll();
CC.ToggleMasters();
//create the tracing thing
cc.drawbrush.GetAxes(cc.drawbrush.Master.rotation,x,y,z);
TraceDummy=Spawn(class'MSBTraceDummy',CC.drawBrush.Master,,gridLoc+6*x);
//TraceDummy.skins[0]=Material(DynamicLoadObject(Value,class'Material',true));
Log(TraceDummy.skins[0]);
cc.drawbrush.GetAxes(TraceDummy.rotation,xTD,yTD,zTD);

// the big loop...
gridLoc=gridLoc-16*z;
//going down
for (stepsY=0;stepsY<16;stepsY++)
  {
//going left
    for (stepsX=0;stepsX<16;stepsX++)
      {
      //get rid of collision of drawbrush, so he's out of the way of our trace
      cc.drawbrush.bHidden=true;
      //actual tracing
      TraceEnd=(gridLoc+2*stepsY*Z+2*stepsX*X+100*y);
      TraceStart=(gridLoc+2*stepsY*Z+2*stepsX*X-100*y);
      hitActor=Trace(HitLocation,normal,TraceEnd,TraceStart,true,,hitmaterial);
      if (hitActor==TraceDummy)
        {
        cc.drawbrush.bHidden=false;
        CC.DrawBrush.Trigger(CC.myHUD,none);
        }
      //set the block 1 further
      CC.drawBrush.SetLocation(gridLoc+2*stepsY*Z+2*stepsX*X);
      }
  }
//TraceDummy.destroy();
CC.ToggleMasters();

super.LeftBtnFinished(C);
}

DefaultProperties
{
tooltip1="Set Master Block"
tooltip2="Select Master Block"
BtnName="Trace"
}
