class MSBUdpLink extends UdpLink;

var int iPort;   // server port number
var IpAddr Addr;
var Actor Parent;
var string Data;

function InitUdpLink(int port)   //  Basic UDP Setup
{
  ReceiveMode = RMODE_Event; // We are manually catching incomming data
  LinkMode = MODE_Binary;      // We expect to receive data in Binary format

  if (port>0)
    iPort=Port;

  GetLocalIp(Addr);
  addr.port = iPort;
  BindPort(addr.port, true);
  if (Owner!=None && Parent==None)
    Parent=Owner;
}

event ReceivedBinary(IpAddr Addr, int Count, byte B[255])
{
local int i;

if (Parent.IsA('MSBUdpInputNodeButton'))
  {
  for (i=0; i<count;i++)
    Data$=Chr(B[i]);

  MSBUdpInputNodeButton(Parent).receivedUDPData();
  }
else
  {
  for (i=0; i<count;i++)
    Data$=Chr(B[i]);
  Parent.Trigger(self, None);
  }
if (Parent.IsA('MSBUdpInputNodeButton'))
  Data="";
}

defaultproperties
{
     iPort=4444
}

