class MSBPropertyButtonPad extends MSBPropertyButton;

#exec texture Import File=Textures\pad.tga Name=pad_Icon Mips=Off Alpha=1

var array<String> ButtonList;
var class<MSBGuiOverlay> ButtonClass;
var array<MSBGuiOverlay> ListButton;

event iniPadButton()
{
local int i;
Log("Sublevel from PropertyButtonPad:"@SubLevel+1);

for (i=0;i<Buttonlist.Length; i++)
  {
    ButtonClass = class<MSBGuiOverlay>(DynamicLoadObject(ButtonList[i], class'Class'));
    ListButton[i]=Spawn(ButtonClass,self,,M.Location);
    ListButton[i].SubLevel=SubLevel+1;
    ListButton[i].xPosRel=xPosRel+widthRel;
    ListButton[i].yPosRel=yposRel+i*(ListButton[i].heightRel+6);
    ListButton[i].BtnName=string(i+1);
    if (i==4)
      {
      ListButton[i].xPosRel=xPosRel;
      ListButton[i].yPosRel=yPosRel-16;
      }
    if (i==6)
      {
      ListButton[i].xPosRel=xPosRel;
      ListButton[i].yPosRel=yPosRel-34;
      }
    if (i==5)
      {
      ListButton[i].xPosRel=xPosRel+widthRel-96;
      ListButton[i].yPosRel=yPosRel-16;
      }
    if (i==7)
      {
      ListButton[i].xPosRel=xPosRel+widthRel-96;
      ListButton[i].yPosRel=yPosRel-34;
      }
    if (i>7)
      {
      ListButton[i].xPosRel=xPosRel+widthRel-128;
      ListButton[i].yPosRel=yPosRel+200+(i-7)*(ListButton[i].heightRel+6);;
      }

    if (i>11)
      {
      ListButton[i].xPosRel=xPosRel-ListButton[i].widthRel*2;
      ListButton[i].yPosRel=yposRel+(i-11)*(ListButton[i].heightRel+6);
      }

    MSBPropertyButton(ListButton[i]).Parent=self;
  }
}

function bool checkOver(float X, float Y)
{
return false;
}
function MouseOver(Canvas C);

function LeftBtn(Canvas C)
{
super.LeftBtn(C);
LeftBtnFinished(C);
}

function AssignPoseToButton(MSBPropertyButton myButton,int PoseNumber)
{
local int i;

for (i=0;i<ListButton.length;i++)
  if (myButton==ListButton[i])
    {
    MSBPawn(Parent).PoseName[i]=M.SavePoses[PoseNumber];
    Log(MSBPawn(Parent).PoseName[i]@i);
    }
}

defaultproperties
{
ButtonList(0)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(1)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(2)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(3)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(4)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(5)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(6)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(7)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(8)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(9)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(10)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(11)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(12)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(13)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(14)="MSBPropertyButtons.MSBPropertyButtonPoseList";
ButtonList(15)="MSBPropertyButtons.MSBPropertyButtonPoseList";
xPosRel=512
yPosRel=256
widthRel=256
heightRel=256
Mat=pad_Icon
}


