//-----------------------------------------------------------
//
//-----------------------------------------------------------
class MSBPropertyButtonScale extends MSBPropertyButton;
var bool bDragged;

var vector chgScale,
           OldDrawScale3D;

var float oldX,
          oldY;

var bool bShift;

var EPhysics OldPhysics;

function InitButton(Canvas C)
{
super.initButton(C);
}

function Render(Canvas C)
{
super.Render(C);
if (bEnabled)
 {
  if (bDragged)
    {
    if (bShift)
      chgScale.Z-=0.01*(Mouse.yPos-oldY);
    else
      {
      chgScale.X+=0.01*(Mouse.xPos-oldX);
      chgScale.y-=0.01*(Mouse.yPos-oldY);
      }

    Parent.SetDrawScale3D(OldDrawScale3D+chgScale);
    Parent.SetCollisionSize(Parent.default.CollisionRadius,Parent.default.CollisionHeight*Parent.DrawScale3D.Z);
    Mouse.xPos=oldX;
    Mouse.yPos=oldY;
    }

 if (hasClicked && Mouse.btnOne)
    {
    hasClickedAgain=true;
    LeftBtnFinished(C);
    hasClickedAgain=false;
    }
 if (hasClicked && Mouse.bShiftDown && !bShift)
    PressShift(C);
 }

if (!Mouse.bShiftDown)
 bShift=false;
}

function PressShift(Canvas C)
{
bShift=true;
}



function LeftBtn(Canvas C)
{
super.LeftBtn(C);
bDragged=true;
Mouse.bHitActors=false;
oldX=Mouse.xPos;
oldY=Mouse.yPos;
OldPhysics=Parent.Physics;
Parent.SetPhysics(PHYS_None);
OldDrawScale3D=Parent.DrawScale3D;
M.disableMidLayer();
}

function LeftBtnFinished(Canvas C)
{
local int i;

HasClicked=false;
//enable all other buttons after second press
for (i=0;i<M.myHud.Overlays.Length-1;i++)
  if (M.myHud.Overlays[i].IsA('MSBGuiOverlay'))
    MSBGuiOverlay(M.myHud.Overlays[i]).bEnabled=true;

Mouse.btnOne=false;
bDragged=false;

//if we scale a Pawn, then set InitialLocation in depending MSBRootNode
if (Mouse.bShiftDown)
  Parent.SetCollisionSize(VSize(Parent.DrawScale3D)*Parent.CollisionRadius,VSize(Parent.DrawScale3D)*Parent.CollisionHeight);

Parent.SetPhysics(OldPhysics);
Mouse.bHitActors=true;
M.enableMidLayer();
}

DefaultProperties
{
BtnName="Scale"
}
